Admiral
Deployments

List revisions

GET
/api/v1/deployments/{deployment_id}/revisions

Scope: deploy:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

deployment_id*deployment_id

Unique identifier of the deployment to list revisions for (UUID).

Formatuuid

Query Parameters

page_size?page_size

Maximum number of revisions to return per page.

Formatint32
Range0 <= value <= 100
page_token?page_token

Opaque pagination token from a previous response.

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions"
{  "revisions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",      "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",      "component_name": "string",      "category": "REVISION_CATEGORY_UNSPECIFIED",      "status": "REVISION_STATUS_UNSPECIFIED",      "source_id": "string",      "version": "string",      "resolved_values": "string",      "depends_on": [        "string"      ],      "blocked_by": [        "string"      ],      "artifact_checksum": "string",      "artifact_url": "string",      "plan_output": "string",      "plan_summary": {        "additions": 0,        "changes": 0,        "destructions": 0      },      "error_message": "string",      "retry_count": 0,      "created_at": "2023-01-15T01:30:15.01Z",      "started_at": "2023-01-15T01:30:15.01Z",      "completed_at": "2023-01-15T01:30:15.01Z"    }  ],  "next_page_token": "string"}